
/*
u9glib.h 라이브러리를 사용해 그래픽 lcd 테스트
아래링크에서 u8glib 라이브러리 다운로드
https://code.google.com/archive/p/u8glib/

www.mcuboard.com
*/

#include "U8glib.h"

// 8Bit Com: D0~D7= 2,3,4,5,6,7,8,9 EN=12, D/I(RS)=10, RW=11
U8GLIB_ST7920_128X64_1X u8g(2, 3, 4, 5, 6, 7, 8, 9, 12, 10, 11);  

void setup()
{

}


void draw(void)
{
       u8g.setFont(u8g_font_unifont); // 폰트설정
       u8g.setPrintPos(0,10); // 출력위치설정
       u8g.print("Hello,"); // 출력
       u8g.drawStr(10,30, "MCU Board!"); // 좌표 (10,30)에서  출력
}

void loop()
{

//첫번째 페이지부터 마지막 페이지까지 draw 함수 호출
   u8g.firstPage();

   do
   {
        draw();
   }
  
   while(u8g.nextPage());

}
